package com.example.afrishop_v3.controllers;

import com.example.afrishop_v3.base.Result;
import com.example.afrishop_v3.models.Activity;
import com.example.afrishop_v3.repository.ActivityRepository;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Optional;

/**
 * @Auther: wudepeng
 * @Date: 2020/11/30
 * @Description:活动管理
 */
@RestController
@RequestMapping("/activity")
public class ActivityController {

    private final ActivityRepository activityRepository;

    public ActivityController(ActivityRepository activityRepository) {
        this.activityRepository = activityRepository;
    }

    @GetMapping("/getAllActivity")
    public Result getAllActivity(@RequestParam(value = "pageNum", defaultValue = "0") Integer pageNum,
                                 @RequestParam(value = "pageSize", defaultValue = "12") Integer pageSize) {

        return new Result(activityRepository.getAllActivity(PageRequest.of(pageNum, pageSize)));
    }

    @GetMapping("/info/{id}")
    public Result getActivityInfo(@PathVariable("id") String id) {

        return new Result(activityRepository.findById(id));
    }


}
